FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 04-06-2012, 05:42 PM
MPR
 
Default apt-get update error with volatile.debian.org

Last year I started getting errors when running apt-get update. The
errors look like this:

W: Failed to fetch
http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/source/Sources.gz
404 Not Found [IP: 130.89.148.13 80]

W: Failed to fetch
http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/binary-amd64/Packages.gz
404 Not Found [IP: 130.89.148.13 80]

Does anyone know how to fix this? I had not made any changes to the
server to cause this and have just been living with it.

Here's my /etc/apt/sources.list file:

-------------
deb ftp://ftp.us.debian.org/debian/ squeeze main
deb-src ftp://ftp.us.debian.org/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

deb http://volatile.debian.org/debian-volatile squeeze/volatile main
deb-src http://volatile.debian.org/debian-volatile squeeze/volatile main
-------------

Here's the full output of apt-get update:

-------------
Hit http://security.debian.org squeeze/updates Release.gpg
Ign http://security.debian.org/ squeeze/updates/main Translation-en
Ign http://security.debian.org/ squeeze/updates/main Translation-en_US
Hit http://security.debian.org squeeze/updates Release
Ign http://security.debian.org squeeze/updates/main Sources
Ign http://security.debian.org squeeze/updates/main amd64 Packages
Hit http://security.debian.org squeeze/updates/main Sources
Hit http://security.debian.org squeeze/updates/main amd64 Packages
Ign http://volatile.debian.org squeeze/volatile Release.gpg
Ign http://volatile.debian.org/debian-volatile/ squeeze/volatile/main
Translation-en
Ign http://volatile.debian.org/debian-volatile/ squeeze/volatile/main
Translation-en_US
Ign http://volatile.debian.org squeeze/volatile Release
Hit ftp://ftp.us.debian.org squeeze Release.gpg
Ign http://volatile.debian.org squeeze/volatile/main Sources
Get:1 ftp://ftp.us.debian.org/debian/ squeeze/main Translation-en
Ign http://volatile.debian.org squeeze/volatile/main amd64 Packages
Err http://volatile.debian.org squeeze/volatile/main Sources
404 Not Found [IP: 130.89.148.13 80]
Ign ftp://ftp.us.debian.org/debian/ squeeze/main Translation-en
Err http://volatile.debian.org squeeze/volatile/main amd64 Packages
404 Not Found [IP: 130.89.148.13 80]
Get:2 ftp://ftp.us.debian.org/debian/ squeeze/main Translation-en_US
Ign ftp://ftp.us.debian.org/debian/ squeeze/main Translation-en_US
Hit ftp://ftp.us.debian.org squeeze Release
Get:3 ftp://ftp.us.debian.org squeeze/main Sources
Ign ftp://ftp.us.debian.org squeeze/main Sources
Get:4 ftp://ftp.us.debian.org squeeze/main amd64 Packages
Ign ftp://ftp.us.debian.org squeeze/main amd64 Packages
Hit ftp://ftp.us.debian.org squeeze/main Sources
Hit ftp://ftp.us.debian.org squeeze/main amd64 Packages
W: Failed to fetch
http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/source/Sources.gz
404 Not Found [IP: 130.89.148.13 80]

W: Failed to fetch
http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/binary-amd64/Packages.gz
404 Not Found [IP: 130.89.148.13 80]

E: Some index files failed to download, they have been ignored, or old
ones used instead.
-------------


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: CAN3V7BS-Kecs+nfMAZJ_8rcLKoH2-+6uSpyQXpCbLU3aunaoow@mail.gmail.com">http://lists.debian.org/CAN3V7BS-Kecs+nfMAZJ_8rcLKoH2-+6uSpyQXpCbLU3aunaoow@mail.gmail.com
 
Old 04-06-2012, 05:53 PM
Andrei POPESCU
 
Default apt-get update error with volatile.debian.org

On Vi, 06 apr 12, 10:42:51, MPR wrote:
>
> Does anyone know how to fix this? I had not made any changes to the
> server to cause this and have just been living with it.

Volatile has been replaced with squeeze-updates

http://www.debian.org/volatile/
http://lists.debian.org/debian-volatile-announce/2012/msg00000.html

Hope this helps,
Andrei
--
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
 
Old 04-06-2012, 05:55 PM
Bob Proulx
 
Default apt-get update error with volatile.debian.org

MPR wrote:
> Last year I started getting errors when running apt-get update. The
> errors look like this:
>
> W: Failed to fetch
> http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/source/Sources.gz
> 404 Not Found [IP: 130.89.148.13 80]

Right. The Lenny volatile repository was renamed for Squeeze. In
Squeeze it is squeeze-updates. (Confusingly because squeeze-updates
is the volatile repository and squeeze/updates is the security
repository.)

> deb ftp://ftp.us.debian.org/debian/ squeeze main
> deb-src ftp://ftp.us.debian.org/debian/ squeeze main
>
> deb http://security.debian.org/ squeeze/updates main
> deb-src http://security.debian.org/ squeeze/updates main

The above are okay.

> deb http://volatile.debian.org/debian-volatile squeeze/volatile main
> deb-src http://volatile.debian.org/debian-volatile squeeze/volatile main

That is incorrect and the source of your problems. Remove those
lines. Add these lines:

deb http://ftp.us.debian.org/debian squeeze-updates main
deb-src http://ftp.us.debian.org/debian squeeze-updates main

Bob
 
Old 04-06-2012, 05:56 PM
Tom H
 
Default apt-get update error with volatile.debian.org

On Fri, Apr 6, 2012 at 1:42 PM, MPR <mplistarchive@gmail.com> wrote:
>
> Last year I started getting errors when running apt-get update. The
> errors look like this:
>
> W: Failed to fetch
> http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/source/Sources.gz
> *404 *Not Found [IP: 130.89.148.13 80]
>
> W: Failed to fetch
> http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/binary-amd64/Packages.gz
> *404 *Not Found [IP: 130.89.148.13 80]
>
> Does anyone know how to fix this? I had not made any changes to the
> server to cause this and have just been living with it.
>
> Here's my /etc/apt/sources.list file:
>
> -------------
> deb ftp://ftp.us.debian.org/debian/ squeeze main
> deb-src ftp://ftp.us.debian.org/debian/ squeeze main
>
> deb http://security.debian.org/ squeeze/updates main
> deb-src http://security.debian.org/ squeeze/updates main
>
> deb http://volatile.debian.org/debian-volatile squeeze/volatile main
> deb-src http://volatile.debian.org/debian-volatile squeeze/volatile main

There's no "volatile" for Squeeze.

It's been replaced by "squeeze-updates" hence

deb http://ftp.us.debian.org/debian/ squeeze-updates main


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: CAOdo=SytV-f0xYXOLb5Z7riOm3ARNeJ2mTZivHVe8-EsatfHgw@mail.gmail.com">http://lists.debian.org/CAOdo=SytV-f0xYXOLb5Z7riOm3ARNeJ2mTZivHVe8-EsatfHgw@mail.gmail.com
 
Old 04-06-2012, 07:01 PM
Lisi
 
Default apt-get update error with volatile.debian.org

On Friday 06 April 2012 18:42:51 MPR wrote:
> Last year I started getting errors when running apt-get update. The
> errors look like this:
>
> W: Failed to fetch
> http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/sour
>ce/Sources.gz 404 *Not Found [IP: 130.89.148.13 80]
>
> W: Failed to fetch
> http://volatile.debian.org/debian-volatile/dists/squeeze/volatile/main/bina
>ry-amd64/Packages.gz 404 *Not Found [IP: 130.89.148.13 80]
>
> Does anyone know how to fix this? I had not made any changes to the
> server to cause this and have just been living with it.

There is no such thing as a Squeeze Volatile repository. Lenny was teh last
to have Volatile. Squeeze uses squeeze-updates.
http://www.debian.org/volatile/
and:
http://lists.debian.org/debian-volatile-announce/2012/msg00000.html
<quote>
The Debian Volatile archive is now discontinued. There will be no further
updates. Mirrors will soon cease to carry it. Starting from Debian 6.0
("squeeze") it was replaced by the suite `squeeze-updates' on the
official mirrors, managed by the Debian Release Team.

This announcement list and the discussion list
`debian-volatile@lists.debian.org' will be closed in two weeks time.
</quote>

HTH
Lisi


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201204062001.09064.lisi.reisz@gmail.com">http://lists.debian.org/201204062001.09064.lisi.reisz@gmail.com
 
Old 04-06-2012, 07:26 PM
MPR
 
Default apt-get update error with volatile.debian.org

On Fri, Apr 6, 2012 at 10:55 AM, Bob Proulx <bob@proulx.com> wrote:
> That is incorrect and the source of your problems. *Remove those
> lines. *Add these lines:
>
> deb http://ftp.us.debian.org/debian squeeze-updates main
> deb-src http://ftp.us.debian.org/debian squeeze-updates main

That fixed it! Thanks for the help and explanations everyone.

MPR


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: CAN3V7BQ4n5jcS44LWLqrHYa635TL4+rkzR=kYEyJ9zpp2x7EU w@mail.gmail.com">http://lists.debian.org/CAN3V7BQ4n5jcS44LWLqrHYa635TL4+rkzR=kYEyJ9zpp2x7EU w@mail.gmail.com
 

Thread Tools




All times are GMT. The time now is 10:13 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org